#include <iostream>

using namespace std;

int main() {
    int n;

    cin >> n;

    int br = 1; // 1 * 1 * n
    for (int k = 1; k <= n / 2; k++) {
        for (int l = k; l <= n / 2; l++) {
            for (int m = l; m <= n / 2; m++) {
                if (k * l * m == n) {
                    br++;
                }
            }
        }
    }

    cout << br << endl;

    return 0;
}
